/* eslint no-use-before-define: ["error", { "variables": false }] */

import PropTypes from 'prop-types';
import React from 'react';
import { StyleSheet, Text, TouchableOpacity, View, ViewPropTypes } from 'react-native';
import Color from './Color';
import Icon from 'react-native-vector-icons/Ionicons';
import { deviceWidth ,deviceHight} from './../../../app/styles/theme';
export default function Send({ text, containerStyle, onSend, children, textStyle, alwaysShowSend },context) {
  if (alwaysShowSend || text.trim().length > 0) {
    return (
      <TouchableOpacity
        testID="send"
        accessible
        accessibilityLabel="send"
        style={[styles.container, containerStyle]}
        onPress={() => {
          onSend({ text: text.trim() }, true);
        }}
        accessibilityTraits="button"
      >
        <View>{children ||  

           <Icon   style={{ fontSize: deviceWidth*0.08,
          
            // marginTop: deviceHight*0.2,
            marginRight: deviceHight*0.01,
            marginBottom: deviceHight*0.01
          }}   name="ios-send" backgroundColor="black"/>}</View>
      </TouchableOpacity>
    );
  }
  return <View />;
}
Send.contextTypes = {
  getLocale: PropTypes.func,
};

const styles = StyleSheet.create({
  container: {
    height: deviceHight*0.06,
    justifyContent: 'flex-end',
  },
  text: {
    color: Color.defaultBlue,
    fontWeight: '600',
    fontSize: deviceWidth*0.06,
    backgroundColor: Color.backgroundTransparent,
    marginBottom:deviceHight*0.1 ,
    marginLeft: deviceHight*0.1,
    marginRight: deviceHight*0.1,

  },
});

Send.defaultProps = {
  text: '',
  onSend: () => {},
  // label:moment()
  // .locale(context.getLocale())=="en"?  'Send':'إرسال',
  containerStyle: {},
  textStyle: {},
  children: null,
  alwaysShowSend: false,
};

Send.propTypes = {
  text: PropTypes.string,
  onSend: PropTypes.func,
  label: PropTypes.string,
  containerStyle: ViewPropTypes.style,
  textStyle: Text.propTypes.style,
  children: PropTypes.element,
  alwaysShowSend: PropTypes.bool,
};
